> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmembrane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get internal event log record



## OpenAPI

````yaml /api-reference/membrane-api.json get /app-events/{id}
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /app-events/{id}:
    get:
      tags:
        - AppEventLogRecords
      summary: Get internal event log record
      operationId: getAppEventLogRecord
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppEventLogRecordApiResponseDto'
components:
  schemas:
    AppEventLogRecordApiResponseDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        userId:
          type: string
        user:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
            meta:
              type: object
              additionalProperties:
                type: object
            internalId:
              type: string
            fields:
              type: object
              additionalProperties:
                type: object
            credentials:
              type: object
            lastActiveAt:
              type: string
            isTest:
              type: boolean
            isBillable:
              type: boolean
            isActive:
              type: boolean
            aiCreditsRolling30DayLimit:
              type: number
              minimum: 0
              nullable: true
            createdAt:
              type: string
            archivedAt:
              type: string
          required:
            - id
            - name
            - internalId
        appEventTypeId:
          type: string
        appEventType:
          type: object
          properties:
            id:
              type: string
              description: >-
                Internal database ID of the element. Assigned by the API; unique
                per element.
            name:
              type: string
              description: >-
                Display name. Always present in API responses (filled by API if
                not set on create).
            uuid:
              description: >-
                Stable unique identifier (UUID). Can be provided on create;
                otherwise generated. Must be unique across elements of this
                type.
              type: string
            key:
              description: >-
                Stable key for referencing the element (e.g. in selectors).
                Unique per (parent, integration) scope. Generated from name if
                not provided on create.
              type: string
            description:
              description: Optional human-readable description.
              type: string
            meta:
              description: Optional key-value metadata.
              type: object
              additionalProperties:
                type: object
            state:
              description: >-
                Current lifecycle or health state (e.g. READY, SETUP_FAILED,
                CONFIGURATION_ERROR, BUILDING). Set by the engine during setup
                and validation.
              type: string
              enum:
                - BUILDING
                - CLIENT_ACTION_REQUIRED
                - CONFIGURATION_ERROR
                - SETUP_FAILED
                - READY
                - DISCONNECTING
            errors:
              description: Validation or setup errors when state is not READY.
              type: array
              items:
                $ref: '#/components/schemas/AppEventLogRecordApiResponseDto__schema0'
            revision:
              type: string
            createdAt:
              description: ISO date when the element was created.
              type: string
            updatedAt:
              description: ISO date when the element was last updated.
              type: string
            archivedAt:
              type: string
            isDeactivated:
              description: >-
                When true, setup is skipped and the element is treated as
                inactive (e.g. when dependencies are deactivated or the element
                is archived).
              type: boolean
            isReadOnly:
              description: >-
                When true, the element cannot be modified (e.g. published
                package elements or elements from another workspace).
              type: boolean
            webhookKey:
              type: string
            subscribeRequest:
              type: object
              properties:
                method:
                  type: string
                uri:
                  type: object
                headers:
                  type: object
                  additionalProperties:
                    type: object
                query:
                  type: object
                  additionalProperties:
                    type: object
                body:
                  type: object
              required:
                - uri
            example:
              type: object
            schema:
              $ref: '#/components/schemas/AppEventLogRecordApiResponseDto__schema1'
            globalWebhookUri:
              type: string
            tenantIdFormula:
              type: object
            userIdFormula:
              type: object
          required:
            - id
            - name
            - revision
            - webhookKey
            - globalWebhookUri
        appEventSubscriptionId:
          type: string
        appEventSubscription:
          type: object
          properties:
            id:
              type: string
              description: >-
                Internal database ID of the element. Assigned by the API; unique
                per element.
            name:
              type: string
              description: >-
                Display name. Always present in API responses (filled by API if
                not set on create).
            uuid:
              description: >-
                Stable unique identifier (UUID). Can be provided on create;
                otherwise generated. Must be unique across elements of this
                type.
              type: string
            key:
              description: >-
                Stable key for referencing the element (e.g. in selectors).
                Unique per (parent, integration) scope. Generated from name if
                not provided on create.
              type: string
            description:
              description: Optional human-readable description.
              type: string
            meta:
              description: Optional key-value metadata.
              type: object
              additionalProperties:
                type: object
            state:
              description: >-
                Current lifecycle or health state (e.g. READY, SETUP_FAILED,
                CONFIGURATION_ERROR, BUILDING). Set by the engine during setup
                and validation.
              type: string
              enum:
                - BUILDING
                - CLIENT_ACTION_REQUIRED
                - CONFIGURATION_ERROR
                - SETUP_FAILED
                - READY
                - DISCONNECTING
            errors:
              description: Validation or setup errors when state is not READY.
              type: array
              items:
                $ref: '#/components/schemas/AppEventLogRecordApiResponseDto__schema0'
            revision:
              type: string
            createdAt:
              description: ISO date when the element was created.
              type: string
            updatedAt:
              description: ISO date when the element was last updated.
              type: string
            archivedAt:
              type: string
            isDeactivated:
              description: >-
                When true, setup is skipped and the element is treated as
                inactive (e.g. when dependencies are deactivated or the element
                is archived).
              type: boolean
            isReadOnly:
              description: >-
                When true, the element cannot be modified (e.g. published
                package elements or elements from another workspace).
              type: boolean
            userId:
              type: string
            tenantId:
              type: string
            appEventTypeId:
              type: string
            instanceKey:
              type: string
            isSubscribed:
              type: boolean
            schema:
              $ref: '#/components/schemas/AppEventLogRecordApiResponseDto__schema1'
            webhookUri:
              type: string
            subscriptionRequest:
              type: object
              properties:
                method:
                  type: string
                uri:
                  type: object
                headers:
                  type: object
                  additionalProperties:
                    type: object
                query:
                  type: object
                  additionalProperties:
                    type: object
                body:
                  type: object
              required:
                - uri
            subscriptionResponse:
              type: object
          required:
            - id
            - name
            - revision
            - userId
            - appEventTypeId
            - isSubscribed
            - webhookUri
            - subscriptionRequest
        event:
          type: object
        datetime:
          type: string
        launchedFlowRunIds:
          type: array
          items:
            type: string
      required:
        - id
        - userId
        - appEventTypeId
        - appEventSubscriptionId
        - event
        - datetime
        - launchedFlowRunIds
    AppEventLogRecordApiResponseDto__schema0:
      type: object
      properties:
        type:
          type: string
          enum:
            - bad_request
            - connection
            - configuration
            - dependency_error
            - flow_run
            - flow_instance_setup
            - concurrency
            - internal
            - action_run
            - action_instance_setup
            - unit_run
            - custom_code
            - insufficient_credit
            - openrouter_not_configured
        key:
          type: string
        message:
          type: string
        data:
          type: object
        stack:
          type: object
        causedByError:
          $ref: '#/components/schemas/AppEventLogRecordApiResponseDto__schema0'
        logs:
          type: array
          items:
            type: object
      required:
        - message
    AppEventLogRecordApiResponseDto__schema1:
      type: object
      properties:
        $ref: 59ca9032-2239-4b5e-ad80-c4e3054b14f1
        title:
          type: string
        description:
          type: string
        type:
          anyOf:
            - type: string
            - type: array
              items:
                type: string
        format:
          type: string
        properties:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/AppEventLogRecordApiResponseDto__schema1'
        items:
          $ref: '#/components/schemas/AppEventLogRecordApiResponseDto__schema1'
        additionalProperties:
          anyOf:
            - type: boolean
            - $ref: '#/components/schemas/AppEventLogRecordApiResponseDto__schema1'
        enum:
          type: array
          items:
            anyOf:
              - type: string
              - type: number
        referenceRecords:
          type: array
          items:
            type: object
        referenceCollection:
          type: object
          properties:
            key:
              type: object
            parameters:
              type: object
              additionalProperties:
                type: object
        referenceUdm:
          type: string
        default:
          type: object
        allowCustom:
          type: boolean
        required:
          type: array
          items:
            type: string
        minLength:
          type: number
        maxLength:
          type: number
        minimum:
          type: number
        maximum:
          type: number
        maxItems:
          type: number
        readOnly:
          type: boolean
        writeOnly:
          type: boolean
        examples:
          type: array
          items:
            type: object
        anyOf:
          type: array
          items:
            $ref: '#/components/schemas/AppEventLogRecordApiResponseDto__schema1'
        isImplied:
          type: boolean
        isSensitive:
          type: boolean
        referenceCollectionPath:
          type: string
        referenceCollectionUri:
          type: string
      additionalProperties:
        type: object
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````